/*------------------------------------------------------- File Description -*\

  Copyright (C) Odin TeleSystems Inc., 2004-2005

  DESCRIPTION

   Debug output for DSP SPMs. For Internal use only.

\*--------------------------------------------------------------------------*/

#ifndef DBGOUT__H__DEFINED
#define DBGOUT__H__DEFINED

#define DPRINTF_USE_PTR_TAG

#ifndef DEBUG_PRINTFS 
  static inline void DPrintf(char * FormatStr, ...){}
#else
  short DPrintf(char * FormatStr, ...);
#endif

#if defined(DEBUG_PRINTFS) && defined(PRINT_SHOWERROR)
  #define ShowError() dprintf("FAILED: file '%s' , line: %d", __FILE__,__LINE__)
#else
  #define ShowError()
#endif


#ifdef DEBUG_MALLOC

  #include <stdlib.h>

//  void* MyMalloc(size_t e);
//  void MyFree(void *e,char *ee,int ew);

//  #define malloc(x) MyMalloc(x)
//  #define free(x) MyFree(x, __FILE__,__LINE__)

  extern unsigned short g_nAlloc;
  #define malloc(sz) malloc(sz); g_nAlloc += sz; dprintf("Malloc (%d) at %s:%d | Used: %d",(sz),__FILE__,__LINE__, g_nAlloc)
//  #define malloc(sz) malloc(sz); dprintf("Malloc (%d) at %s:%d",(sz),__FILE__,__LINE__)

#endif

#endif


/*--------------------------------------------------------------------------*\

  Copyright (C) Odin TeleSystems Inc., 2005


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

\*--------------------------------------------------------------------------*/

